For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get NFT Transactions

Get an NFT's transaction history.

This method will use 20 Compute Units.


Get an nfts transction history

get

Returns a list of transactions for a given non-fungible token

Path parameters
tokenIdstring · nullableRequired

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
serialNumberinteger · int64 · min: 1 · max: 9223372036854776000Required

The nft serial number

Default: 1Example: 1
Query parameters
limitinteger · int32 · min: 1 · max: 100Optional

The maximum number of items to return

Default: 25Example: 2
orderundefined · enumOptional

The order in which items are listed

Default: descExample: ascPossible values:
timestampstring[]Optional

The consensus timestamp in seconds.nanoseconds format with an optional comparison operator

Example: {"summary":"--","value":""}
Responses
200

OK

application/json
get/api/v1/tokens/{tokenId}/nfts/{serialNumber}/transactions
GET /v1/YOUR_API_KEY/api/v1/tokens/{tokenId}/nfts/{serialNumber}/transactions HTTP/1.1
Host: mainnet.hedera.validationcloud.io
Accept: */*
{
  "transactions": [
    {
      "consensus_timestamp": "1618591023.997420021",
      "is_approval": false,
      "nonce": 0,
      "receiver_account_id": "0.0.11",
      "sender_account_id": "0.0.10",
      "transaction_id": "0.0.19789-1618591023-997420021",
      "type": "CRYPTOTRANSFER"
    }
  ],
  "links": {
    "next": "/api/v1/transactions?timestamp=lt:1657598275.517984411"
  }
}

Last updated

Was this helpful?